loki:
  # Default cluster name if not overridden
  clusterName: default
  loki:
    config: |
      auth_enabled: false
      server:
        http_listen_port: 3100
      ingester:
        lifecycler:
          address: 127.0.0.1
          ring:
            kvstore:
              store: inmemory
            replication_factor: 1
        wal:
          dir: /var/loki/wal
      schema_config:
        configs:
          - from: 2020-10-24
            store: boltdb-shipper
            object_store: filesystem
            schema: v11
            index:
              prefix: index_
              period: 24h
      storage_config:
        boltdb_shipper:
          active_index_directory: /var/loki/index
          cache_location: /var/loki/boltdb-cache
          cache_ttl: 24h
          shared_store: filesystem
        filesystem:
          directory: /var/loki/chunks
      compactor:
        working_directory: /var/loki/compactor
        shared_store: filesystem
      chunk_store_config:
        max_look_back_period: 672h
      table_manager:
        retention_deletes_enabled: true
        retention_period: 672h

    monitoring:
      selfMonitoring:
        # -- Grafana Agent annotations
        annotations: {}
        # -- Additional Grafana Agent labels
        labels: {}
        # -- Enable the config read api on port 8080 of the agent
        enableConfigReadAPI: false
        extraClusterRoleRules:
          - apiGroups: [""]
            resources: ["pods/log"]
            verbs: ["get", "list", "watch"]
        grafanaAgent:
          podLogs:
            enabled: false
            namespaceSelector:
              any: true
          logsInstance:
            podLogsSelector:
              matchLabels: {}

  singleBinary:
    replicas: 1
    nodeSelector:
      workload: infra
    persistence:
      enabled: true
      size: 20Gi
      storageClass: "linode-block-storage-retain"

  read:
    replicas: 0

  write:
    replicas: 0

  backend:
    replicas: 0

  gateway:
    enabled: false

  lokiCanary:
    enabled: false
